ComSquare::SNES Struct Reference

Container of all the components of the SNES. More...

`#include <SNES.hpp>`

Collaboration diagram for ComSquare::SNES:

## Public Member Functions

| SNES (const std::shared_ptr< Memory::MemoryBus > &bus, const std::string &ramPath)
| Create all the components using a common memory bus for all of them. More...

## Public Attributes

std::shared_ptr< CPU::CPU > | cpu
std::shared_ptr< PPU::PPU > | ppu
std::shared_ptr< APU::APU > | apu
std::shared_ptr< Cartridge::Cartridge > | cartridge
std::shared_ptr< Ram::Ram > | wram

## Detailed Description

Container of all the components of the SNES.

## Constructor & Destructor Documentation

## SNES()

ComSquare::SNES::SNES | ( | const std::shared_ptr< Memory::MemoryBus > & | bus,
|  | const std::string & | ramPath
| ) |  |

Create all the components using a common memory bus for all of them.

## Member Data Documentation

## apu

std::shared_ptr<APU::APU> ComSquare::SNES::apu

## cartridge

std::shared_ptr<Cartridge::Cartridge> ComSquare::SNES::cartridge

## cpu

std::shared_ptr<CPU::CPU> ComSquare::SNES::cpu

## ppu

std::shared_ptr<PPU::PPU> ComSquare::SNES::ppu

## wram

std::shared_ptr<Ram::Ram> ComSquare::SNES::wram

The documentation for this struct was generated from the following files:

- sources/SNES.hpp
- sources/SNES.cpp